org.eclipse.team.ui.history

## Interface IHistoryPageSource

All Known Implementing Classes:
  ElementLocalHistoryPageSource, HistoryPageSource

    public interface IHistoryPageSource

Interface to an object which is capable of supplying a history page for display by the history view or other views, dialogs or editors that wish to display the history of an object. This interface is not intended to be implemented by clients. Clients can instead subclass `HistoryPageSource`.

Since:
  3.2
See Also:
  `IFileHistoryProvider`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `canShowHistoryFor(Object object)` Returns true if this history page source can show a history for the given object, false if it cannot
`Page` `createPage(Object object)` Called by the history view to create the page for this IFileHistoryProvider.

### Method Detail

#### canShowHistoryFor

    boolean canShowHistoryFor(Object object)

Returns true if this history page source can show a history for the given object, false if it cannot

Parameters:
  `object` - the object that is to have history shown
Returns:
  boolean

#### createPage

    Page createPage(Object object)

Called by the history view to create the page for this IFileHistoryProvider. The page must implement `IHistoryPage`.

Parameters:
  `object` - the object whose history is to be shown
Returns:
  a Page that implements IHistoryPage (should return either an IPage, IPageBookViewPage or an IHistoryPage
See Also:
  `IHistoryPage`